#!/usr/bin/env Rscript 
#chmod +x

# Pour récupérer et analyser le fichier produit par OpenMOLE calirate
library(stringr)

###################################################
###   A MODIFEIR selon le fichier résultat      ###
###################################################
# change the nameFile
# choix du seuil pour l'erreur "borneDelta", et du seuil pour le nombre de répétition "borneInf"

########### import files  ##############
temp = list.files(pattern="*.csv") # liste les fichiers .csv du répertoire
temp2 = str_detect( temp,  pattern = "population") # ceux qui contiennent "population"
nameFile = temp[which(temp2==T)[1]]  # on prend le premier de la liste précédente

# nameFile = "populationxxxxx" # manière plus directe pour mettre le nom du fichier, mais requiert de charger le nalefile à la main


if(is.na(nameFile)) {print("Pas de fichier commencant par population")} else{

resCalibration = read.csv(nameFile,header=TRUE)

# on selectionne les paramètres les plus intéressants (ie assez présents et meilleurs)
borneInf = 50         # sur le nombre de sample
borneDelta = 70      # sur l'erreur

# selection des indices correspondant 
sel1=which( (resCalibration$evolution.samples > borneInf) & (resCalibration$delta < borneDelta) )  
# on applelle "sel2" le nouveau rescalibration
resCalibration = resCalibration[sel1,] 


###############################################
###    SAUVEGARDER LE JEU DE PARAMS MIN     ###
###############################################

# pour ne sauvegarder que la ligne minimale (delta) parmis les lignes avec un nb d'éval suffisant
i = which(resCalibration$delta == min(resCalibration$delta))
write.table(t(resCalibration[i,])[-1,], col.names=FALSE, "ParamMin.csv",  sep=",",dec=".") 
}
